package me.akito123321.valoStrats.db.repositories;

import java.util.List;
import java.util.Optional;

import org.springframework.data.jpa.repository.JpaRepository;

import me.akito123321.valoStrats.rest.util.StratsUser;

public interface UserRepository extends JpaRepository<StratsUser, String> {
	Optional<StratsUser> findByGoogleUserId(String googleUserId);

	Optional<StratsUser> findByTokensIn(List<String> tokens);
}
