package me.akito123321.valoStrats.rest.services;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import me.akito123321.valoStrats.db.repositories.GroupRepository;
import me.akito123321.valoStrats.schemas.Group;

@Service
public class GroupService {

	@Autowired
	private GroupRepository groupRepository;

	public void saveGroup(Group group) {
		groupRepository.save(group);
	}

	public List<Group> getGroups() {
		return groupRepository.findAll();
	}

	public Group getGroupById(String id) {
		return groupRepository.findById(id).orElse(null);
	}

	public void removeGroup(String id) {
		groupRepository.deleteById(id);
	}

}
