package me.akito123321.valoStrats.rest.requests;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.Size;

public record StratRequest(
		@Size(max = 50, message = "{title longer than 50 chars}") @NotBlank String title,
		@Size(max = 512, message = "{title longer than 50 chars}") @NotBlank String description,
		@NotBlank byte[][] stratStates,
		byte[][] lineups) {
}
